Update card details and limits

Updates card spending limits. This endpoint supports dynamic limit types via AdditionalParams.

Business Context: Called when adjusting spending limits displayed in the frontend. For customers with enabled limit management, this endpoint allows updating daily, monthly, transaction, and lifetime limits. Additional custom limits (e.g., ATM limits, purchase limits) can be included via additionalProperties.

Important:

  • This endpoint extends AdditionalParams, allowing custom limit fields to be passed. Query GET /customers/{customerId}/availableCardLimits to discover which custom limits are available in your system.
  • To update card alias, use the dedicated endpoint PUT /customers/{customerId}/cards/{cardId}/alias instead.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the customer

string
required

Unique identifier of the card

Body Params

Card update request containing the card details to be updated. This object extends AdditionalParams, allowing you to pass any custom card limits that are defined in your system. To discover available custom limits, use the GET /customers/{customerId}/availableCardLimits endpoint.

Base limit fields that can be set on cards. This extends AdditionalParams, allowing additional custom limit properties.

int32

Daily spending limit - STANDARD PROPERTY

int32

Monthly spending limit - STANDARD PROPERTY

number

Per-transaction spending limit - STANDARD PROPERTY

double

Total lifetime spending limit - STANDARD PROPERTY

double

Minimum transaction limit - STANDARD PROPERTY

double

Minimum transaction limit for physical business cards - STANDARD PROPERTY

string
length ≤ 25
deprecated

Friendly name/alias for the card (max 25 characters) - STANDARD PROPERTY. DEPRECATED: Use PUT /customers/{customerId}/cards/{cardId}/alias endpoint instead.

string

Currency code (ISO 4217) - STANDARD PROPERTY

string
enum

Type of client - STANDARD PROPERTY

Allowed:
cardOTP
object

OTP information for card operations

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json